#include <bits/stdc++.h>
using namespace std;

long long res;
int n;
pair<int,int> in;
vector<pair<int,int>> v;

int main()
{
    ios::sync_with_stdio(false);
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>in.first>>in.second;
        v.push_back(in);
    }
    for(int t=0;t<2;t++)
    {
        sort(v.begin(),v.end());
        for(int i=0;i<n;i++)
        {
            res+=abs(v[i].first-i-1);
            swap(v[i].first,v[i].second);
        }
    }
    cout<<res;
}